Bug 960346 - (CVE-2013-1998) CVE-2013-1998 libXi: Multiple Array Index error leading to heap-based OOB write
CVE-2013-1998 libXi: Multiple Array Index error leading to heap-based OOB write
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966698 1078025
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-07 01:09 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXi 1.7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-07 01:09:56 EDT
Multiple Array index errors leading to heap-based buffer OOB write flaws were found in the libXi, X.Org X11 libXi runtime library. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XGetDeviceButtonMapping(), _XIPassiveGrabDevice()
Comment 5 Jan Lieskovsky 2013-05-23 11:51:28 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 7 Jan Lieskovsky 2013-05-23 13:27:08 EDT
These issue affect the versions of the libXi package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 8 Jan Lieskovsky 2013-05-23 13:30:20 EDT
Created libXi tracking bugs for this issue

Affects: fedora-all [bug 966698]
Comment 9 Jan Lieskovsky 2013-05-23 13:32:02 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 10 Fedora Update System 2013-05-27 22:24:03 EDT
libXi-1.7.1-4.20130524git661c45ca1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-06-02 23:04:03 EDT
libXi-1.6.2.901-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Huzaifa S. Sidhpurwala 2013-06-04 23:37:09 EDT
This issue affects the version of libXi as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 13 Huzaifa S. Sidhpurwala 2013-06-04 23:48:50 EDT
Statement:

This issue affects the libXi package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 15 errata-xmlrpc 2014-10-14 01:05:32 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.